> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file status

> Get the git status of all files in the project.



## OpenAPI

````yaml /openapi.json get /file/status
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /file/status:
    get:
      summary: Get file status
      description: Get the git status of all files in the project.
      operationId: file.status
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: File status
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/File'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.file.status({
              ...
            })
components:
  schemas:
    File:
      type: object
      properties:
        path:
          type: string
        added:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        removed:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        status:
          type: string
          enum:
            - added
            - deleted
            - modified
      required:
        - path
        - added
        - removed
        - status

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.